Update contract
PUT
https://api.propexo.com/v1/contracts/:contract_idUpdate a contract for an integration.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
contract_id stringrequired
The Propexo unique identifier for the contract
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
vendor_idstring
The Propexo unique identifier for the vendor
start_datestring
The start date associated with the contract
Show 2 variants
end_datestring
The end date associated with the contract
Show 2 variants
notesstring
Notes associated with the contract
expense_typestring
The expense type of the contract. You'll have to request this data from your customer, but you can see a set of allowed values by reviewing the response of integration.configuration_meta_data
retention_percentstring
The retention percent of the contract. Must be a decimal number with only 2 places
Response
Successful response
job_idstringrequired
The ID of the job created to handle this operation
data objectrequired
object
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/contracts/:contract_id
curl -X PUT https://api.propexo.com/v1/contracts/:contract_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"vendor_id": "string",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"notes": "string",
"expense_type": "string",
"retention_percent": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}